Subject: bug#20513: 11.88.5; TeX-view-program-list generated in wrong format by Customize

From: Mosè Giordano <[email-masked]>
Date: Thu, 7 May 2015 10:55:45 +0200

2015-05-07 10:51 GMT+02:00 Tassilo Horn <[email-masked]>:
> Mosè Giordano <[email-masked]> writes:
>
>> I agree, but I confirm `TeX-view-program-list' is built in the wrong
>> way when changed with customize interface, as reported by Дарио.  It
>> worked as expected before commit
>>
>>   * 59ccf34 (2014-11-28)  Check the viewer executable exists before opening it.
>>
>> where the customization type of the variable was changed from an alist
>> to a repeated list, but the command part of the type hasn't been
>> modified.  How should it be fixed?
>
> I think the problem is that the command part is a group of a choice
> where one choice is a list again.  A group is a list, and list is a
> list, so command parts will result in ((stuff)) where it should be just
> (stuff).  So can't you simply remove the outer
>
>   (group :tag "Command parts"
>
> and that's it?

That's what I thought, but why it used to work when the type was an
alist?  Back then, also using command parts resulted in (stuff)
instead of ((stuff)).  What am I missing?

Bye,
Mosè